int-ter.hpp File Reference

Go to the source code of this file.

## Namespaces

namespace | Gecode
| Gecode toplevel namespace
namespace | Gecode::Int
| Finite domain integers.
namespace | Gecode::Int::Linear
| Linear propagators

## Macros

#define | GECODE_INT_PV(CASE, TELL, UPDATE)

## Enumerations

enum | Gecode::Int::Linear::TerMod { Gecode::Int::Linear::TM_X0_MIN = 1<<0 , Gecode::Int::Linear::TM_X0_MAX = 1<<1 , Gecode::Int::Linear::TM_X1_MIN = 1<<2 , Gecode::Int::Linear::TM_X1_MAX = 1<<3 , Gecode::Int::Linear::TM_X2_MIN = 1<<4 , Gecode::Int::Linear::TM_X2_MAX = 1<<5 , Gecode::Int::Linear::TM_ALL = TM_X0_MIN|TM_X0_MAX|TM_X1_MIN|TM_X1_MAX|TM_X2_MIN|TM_X2_MAX }
| Describe which view has been modified how. More...

## Macro Definition Documentation

## GECODE_INT_PV

#define GECODE_INT_PV | ( |  | CASE,
|  |  | TELL,
|  |  | UPDATE )

Value:
if (bm & (CASE)) { \
bm -= (CASE); ModEvent me = (TELL); \
if (me_failed(me)) return ES_FAILED; \
if (me_modified(me)) bm |= (UPDATE); \
}

Definition at line 138 of file int-ter.hpp.